Package com.sas.services.information.publicobject

# Interface ImpactAnalysisProcessorInterface

All Superinterfaces:
  com.sas.services.information.publicobject.ProcessorInterface, `Remote`

public interface ImpactAnalysisProcessorInterface extends ProcessorInterface
This interface is used to describe the depencencies of public objects.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`
  Interface name.
  `static final int`
  `TYPE_CONSUMES_DATA_FROM`
  Relationship type used for all objects that consume (or use) this object
  `static final int`
  `TYPE_CONSUMES_SERVICES_FROM`
  What objects does this object consume services from?
  `static final int`
  `TYPE_PROVIDES_DATA_FOR`
  Relationship type used for all objects that are consumed by (or used by) this object
  `static final int`
  `TYPE_PROVIDES_SERVICES_FOR`
  What objects does this object provide services for?

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List`
  `getRelatedObjects(int relationshipType)`
  Returns a list of related objects for this object.

  ### Methods inherited from interface com.sas.services.information.publicobject.ProcessorInterface

  `destroy, getPublicObject`

- ## Field Details

  - ### NAME

    static final String NAME
    Interface name.
    See Also:
      - Constant Field Values

  - ### TYPE_CONSUMES_DATA_FROM

    static final int TYPE_CONSUMES_DATA_FROM
    Relationship type used for all objects that consume (or use) this object
    See Also:
      - Constant Field Values

  - ### TYPE_PROVIDES_DATA_FOR

    static final int TYPE_PROVIDES_DATA_FOR
    Relationship type used for all objects that are consumed by (or used by) this object
    See Also:
      - Constant Field Values

  - ### TYPE_CONSUMES_SERVICES_FROM

    static final int TYPE_CONSUMES_SERVICES_FROM
    What objects does this object consume services from?
    See Also:
      - Constant Field Values

  - ### TYPE_PROVIDES_SERVICES_FOR

    static final int TYPE_PROVIDES_SERVICES_FOR
    What objects does this object provide services for?
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getRelatedObjects

    List getRelatedObjects(int relationshipType) throws ServiceException, RemoteException
    Returns a list of related objects for this object. Different relationships may be searched for depending on the specified `relationshipType`.
    Parameters:
      `relationshipType` - The type of relationship to search for. Values include:
      - `TYPE_CONSUMES_DATA_FROM`
      - `TYPE_PROVIDES_DATA_FOR`
      - `TYPE_CONSUMES_SERVICES_FROM`
      - `TYPE_PROVIDES_SERVICES_FOR`
    Returns:
      List of PublicObjectInterface objects
    Throws:
      `ServiceException`
      `RemoteException`